package request

type AlibabaTianjiDistributorOrderSubmitRequest struct {
	/*
	   商品编码，如手机串号     */
	ItemSerialNo *string `json:"item_serial_no,omitempty" required:"false" `
	/*
	   淘宝交易订单号     */
	OrderNo *string `json:"order_no" required:"true" `
	/*
	   供应商产品编码，如SIM卡号     */
	ProductSerialNo *string `json:"product_serial_no,omitempty" required:"false" `
}

func (s *AlibabaTianjiDistributorOrderSubmitRequest) SetItemSerialNo(v string) *AlibabaTianjiDistributorOrderSubmitRequest {
	s.ItemSerialNo = &v
	return s
}
func (s *AlibabaTianjiDistributorOrderSubmitRequest) SetOrderNo(v string) *AlibabaTianjiDistributorOrderSubmitRequest {
	s.OrderNo = &v
	return s
}
func (s *AlibabaTianjiDistributorOrderSubmitRequest) SetProductSerialNo(v string) *AlibabaTianjiDistributorOrderSubmitRequest {
	s.ProductSerialNo = &v
	return s
}

func (req *AlibabaTianjiDistributorOrderSubmitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ItemSerialNo != nil {
		paramMap["item_serial_no"] = *req.ItemSerialNo
	}
	if req.OrderNo != nil {
		paramMap["order_no"] = *req.OrderNo
	}
	if req.ProductSerialNo != nil {
		paramMap["product_serial_no"] = *req.ProductSerialNo
	}
	return paramMap
}

func (req *AlibabaTianjiDistributorOrderSubmitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
